commit e35014f21bd259d683816d7643c89a3987ab42b2
Author: Frédéric Péters <fpeters@entrouvert.com>
Date:   Tue Feb 3 14:32:59 2015 +0100

    add i18n infrastructure

diff --git a/.gitignore b/.gitignore
index d6fcc38..76e84c2 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,2 +1,3 @@
 *.pyc
 ckanext_ozwillo_theme.egg-info
+*.pot
diff --git a/babel.cfg b/babel.cfg
new file mode 100644
index 0000000..cf212f4
--- /dev/null
+++ b/babel.cfg
@@ -0,0 +1,16 @@
+# Extraction from Python source files
+[python: **.py]
+# Extraction from Genshi HTML and text templates
+[jinja2: **.html]
+keywords = _
+encoding = utf-8
+extensions = jinja2.ext.do,
+  jinja2.ext.i18n,
+  jinja2.ext.with_,
+  ckan.lib.jinja_extensions.CkanExtend,
+  ckan.lib.jinja_extensions.CkanInternationalizationExtension,
+  ckan.lib.jinja_extensions.LinkForExtension,
+  ckan.lib.jinja_extensions.ResourceExtension,
+  ckan.lib.jinja_extensions.SnippetExtension,
+  ckan.lib.jinja_extensions.UrlForExtension,
+  ckan.lib.jinja_extensions.UrlForStaticExtension
diff --git a/i18n/bg/LC_MESSAGES/ckanext.po b/i18n/bg/LC_MESSAGES/ckanext.po
new file mode 100644
index 0000000..d48b99d
--- /dev/null
+++ b/i18n/bg/LC_MESSAGES/ckanext.po
@@ -0,0 +1,122 @@
+# Bulgarian translations for ckanext-ozwillo-theme.
+# Copyright (C) 2015 ORGANIZATION
+# This file is distributed under the same license as the
+# ckanext-ozwillo-theme project.
+# FIRST AUTHOR <EMAIL@ADDRESS>, 2015.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: ckanext-ozwillo-theme 0.0.1\n"
+"Report-Msgid-Bugs-To: EMAIL@ADDRESS\n"
+"POT-Creation-Date: 2015-02-03 14:31+0100\n"
+"PO-Revision-Date: 2015-02-03 14:30+0100\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: bg <LL@li.org>\n"
+"Plural-Forms: nplurals=2; plural=(n != 1)\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Generated-By: Babel 0.9.6\n"
+
+#: ckanext/ozwillo_theme/templates/footer.html:14
+msgid "A platform of interactive services"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:15
+msgid "for a common good of data"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:22
+msgid "Discovering"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:23
+#: ckanext/ozwillo_theme/templates/header.html:49
+msgid "News"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:24
+#: ckanext/ozwillo_theme/templates/header.html:50
+msgid "Co-construct"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:25
+#: ckanext/ozwillo_theme/templates/header.html:51
+msgid "Let's go"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:30
+msgid "Contact"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:31
+msgid "Project team"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:32
+#: ckanext/ozwillo_theme/templates/header.html:52
+msgid "Projects"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:37
+msgid "User guide"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:38
+msgid "General terms of use"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:39
+msgid "Legal Notices"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:40
+msgid "Governance"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:58
+msgid ""
+"OASIS is a project cofunded by the EU under the Program for "
+"Competitiveness and Innovation CIP ICT PSP- N°297210"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:23
+msgid "Home"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:24
+msgid "Catalog"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:27
+msgid "Data"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:29
+msgid "Datasets"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:30
+msgid "Organizations"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:31
+msgid "Groups"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:32
+msgid "Terms of use"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:45
+msgid "Log in"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:46
+msgid "Discover"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:48
+msgid "Discovering the Platform"
+msgstr ""
+
diff --git a/i18n/ca/LC_MESSAGES/ckanext.po b/i18n/ca/LC_MESSAGES/ckanext.po
new file mode 100644
index 0000000..c816a15
--- /dev/null
+++ b/i18n/ca/LC_MESSAGES/ckanext.po
@@ -0,0 +1,122 @@
+# Catalan translations for ckanext-ozwillo-theme.
+# Copyright (C) 2015 ORGANIZATION
+# This file is distributed under the same license as the
+# ckanext-ozwillo-theme project.
+# FIRST AUTHOR <EMAIL@ADDRESS>, 2015.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: ckanext-ozwillo-theme 0.0.1\n"
+"Report-Msgid-Bugs-To: EMAIL@ADDRESS\n"
+"POT-Creation-Date: 2015-02-03 14:31+0100\n"
+"PO-Revision-Date: 2015-02-03 14:30+0100\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: ca <LL@li.org>\n"
+"Plural-Forms: nplurals=2; plural=(n != 1)\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Generated-By: Babel 0.9.6\n"
+
+#: ckanext/ozwillo_theme/templates/footer.html:14
+msgid "A platform of interactive services"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:15
+msgid "for a common good of data"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:22
+msgid "Discovering"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:23
+#: ckanext/ozwillo_theme/templates/header.html:49
+msgid "News"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:24
+#: ckanext/ozwillo_theme/templates/header.html:50
+msgid "Co-construct"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:25
+#: ckanext/ozwillo_theme/templates/header.html:51
+msgid "Let's go"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:30
+msgid "Contact"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:31
+msgid "Project team"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:32
+#: ckanext/ozwillo_theme/templates/header.html:52
+msgid "Projects"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:37
+msgid "User guide"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:38
+msgid "General terms of use"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:39
+msgid "Legal Notices"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:40
+msgid "Governance"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:58
+msgid ""
+"OASIS is a project cofunded by the EU under the Program for "
+"Competitiveness and Innovation CIP ICT PSP- N°297210"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:23
+msgid "Home"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:24
+msgid "Catalog"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:27
+msgid "Data"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:29
+msgid "Datasets"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:30
+msgid "Organizations"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:31
+msgid "Groups"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:32
+msgid "Terms of use"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:45
+msgid "Log in"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:46
+msgid "Discover"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:48
+msgid "Discovering the Platform"
+msgstr ""
+
diff --git a/i18n/es/LC_MESSAGES/ckanext.po b/i18n/es/LC_MESSAGES/ckanext.po
new file mode 100644
index 0000000..7ac48ec
--- /dev/null
+++ b/i18n/es/LC_MESSAGES/ckanext.po
@@ -0,0 +1,122 @@
+# Spanish translations for ckanext-ozwillo-theme.
+# Copyright (C) 2015 ORGANIZATION
+# This file is distributed under the same license as the
+# ckanext-ozwillo-theme project.
+# FIRST AUTHOR <EMAIL@ADDRESS>, 2015.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: ckanext-ozwillo-theme 0.0.1\n"
+"Report-Msgid-Bugs-To: EMAIL@ADDRESS\n"
+"POT-Creation-Date: 2015-02-03 14:31+0100\n"
+"PO-Revision-Date: 2015-02-03 14:19+0100\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: es <LL@li.org>\n"
+"Plural-Forms: nplurals=2; plural=(n != 1)\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Generated-By: Babel 0.9.6\n"
+
+#: ckanext/ozwillo_theme/templates/footer.html:14
+msgid "A platform of interactive services"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:15
+msgid "for a common good of data"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:22
+msgid "Discovering"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:23
+#: ckanext/ozwillo_theme/templates/header.html:49
+msgid "News"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:24
+#: ckanext/ozwillo_theme/templates/header.html:50
+msgid "Co-construct"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:25
+#: ckanext/ozwillo_theme/templates/header.html:51
+msgid "Let's go"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:30
+msgid "Contact"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:31
+msgid "Project team"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:32
+#: ckanext/ozwillo_theme/templates/header.html:52
+msgid "Projects"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:37
+msgid "User guide"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:38
+msgid "General terms of use"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:39
+msgid "Legal Notices"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:40
+msgid "Governance"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:58
+msgid ""
+"OASIS is a project cofunded by the EU under the Program for "
+"Competitiveness and Innovation CIP ICT PSP- N°297210"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:23
+msgid "Home"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:24
+msgid "Catalog"
+msgstr "Tiendo"
+
+#: ckanext/ozwillo_theme/templates/header.html:27
+msgid "Data"
+msgstr "Dato"
+
+#: ckanext/ozwillo_theme/templates/header.html:29
+msgid "Datasets"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:30
+msgid "Organizations"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:31
+msgid "Groups"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:32
+msgid "Terms of use"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:45
+msgid "Log in"
+msgstr "Entrar"
+
+#: ckanext/ozwillo_theme/templates/header.html:46
+msgid "Discover"
+msgstr "Descubriendo"
+
+#: ckanext/ozwillo_theme/templates/header.html:48
+msgid "Discovering the Platform"
+msgstr ""
+
diff --git a/i18n/fr/LC_MESSAGES/ckanext.po b/i18n/fr/LC_MESSAGES/ckanext.po
new file mode 100644
index 0000000..4fe619b
--- /dev/null
+++ b/i18n/fr/LC_MESSAGES/ckanext.po
@@ -0,0 +1,124 @@
+# French translations for ckanext-ozwillo-theme.
+# Copyright (C) 2015 ORGANIZATION
+# This file is distributed under the same license as the
+# ckanext-ozwillo-theme project.
+# FIRST AUTHOR <EMAIL@ADDRESS>, 2015.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: ckanext-ozwillo-theme 0.0.1\n"
+"Report-Msgid-Bugs-To: EMAIL@ADDRESS\n"
+"POT-Creation-Date: 2015-02-03 14:31+0100\n"
+"PO-Revision-Date: 2015-02-03 14:23+0100\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: fr <LL@li.org>\n"
+"Plural-Forms: nplurals=2; plural=(n > 1)\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Generated-By: Babel 0.9.6\n"
+
+#: ckanext/ozwillo_theme/templates/footer.html:14
+msgid "A platform of interactive services"
+msgstr "Une plateforme d'applications"
+
+#: ckanext/ozwillo_theme/templates/footer.html:15
+msgid "for a common good of data"
+msgstr "pour la création d'un bien commune de données"
+
+#: ckanext/ozwillo_theme/templates/footer.html:22
+msgid "Discovering"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:23
+#: ckanext/ozwillo_theme/templates/header.html:49
+msgid "News"
+msgstr "Actualités"
+
+#: ckanext/ozwillo_theme/templates/footer.html:24
+#: ckanext/ozwillo_theme/templates/header.html:50
+msgid "Co-construct"
+msgstr "Co-construire"
+
+#: ckanext/ozwillo_theme/templates/footer.html:25
+#: ckanext/ozwillo_theme/templates/header.html:51
+msgid "Let's go"
+msgstr "Se lancer"
+
+#: ckanext/ozwillo_theme/templates/footer.html:30
+msgid "Contact"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:31
+msgid "Project team"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:32
+#: ckanext/ozwillo_theme/templates/header.html:52
+msgid "Projects"
+msgstr "Projets"
+
+#: ckanext/ozwillo_theme/templates/footer.html:37
+msgid "User guide"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:38
+msgid "General terms of use"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:39
+msgid "Legal Notices"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:40
+msgid "Governance"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:58
+msgid ""
+"OASIS is a project cofunded by the EU under the Program for "
+"Competitiveness and Innovation CIP ICT PSP- N°297210"
+msgstr ""
+"OASIS est un projet financé par l'Union Européenne dans le cadre du "
+"programme pour la compétitivité et l'innovation CIP ICT PSP- N°297210"
+
+#: ckanext/ozwillo_theme/templates/header.html:23
+msgid "Home"
+msgstr "Accueil"
+
+#: ckanext/ozwillo_theme/templates/header.html:24
+msgid "Catalog"
+msgstr "Catalogue"
+
+#: ckanext/ozwillo_theme/templates/header.html:27
+msgid "Data"
+msgstr "Données"
+
+#: ckanext/ozwillo_theme/templates/header.html:29
+msgid "Datasets"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:30
+msgid "Organizations"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:31
+msgid "Groups"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:32
+msgid "Terms of use"
+msgstr "Conditions d'utilisation"
+
+#: ckanext/ozwillo_theme/templates/header.html:45
+msgid "Log in"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:46
+msgid "Discover"
+msgstr "Découvrir"
+
+#: ckanext/ozwillo_theme/templates/header.html:48
+msgid "Discovering the Platform"
+msgstr "Découvrir la plateforme"
+
diff --git a/i18n/it/LC_MESSAGES/ckanext.po b/i18n/it/LC_MESSAGES/ckanext.po
new file mode 100644
index 0000000..788e82b
--- /dev/null
+++ b/i18n/it/LC_MESSAGES/ckanext.po
@@ -0,0 +1,122 @@
+# Italian translations for ckanext-ozwillo-theme.
+# Copyright (C) 2015 ORGANIZATION
+# This file is distributed under the same license as the
+# ckanext-ozwillo-theme project.
+# FIRST AUTHOR <EMAIL@ADDRESS>, 2015.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: ckanext-ozwillo-theme 0.0.1\n"
+"Report-Msgid-Bugs-To: EMAIL@ADDRESS\n"
+"POT-Creation-Date: 2015-02-03 14:31+0100\n"
+"PO-Revision-Date: 2015-02-03 14:30+0100\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: it <LL@li.org>\n"
+"Plural-Forms: nplurals=2; plural=(n != 1)\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Generated-By: Babel 0.9.6\n"
+
+#: ckanext/ozwillo_theme/templates/footer.html:14
+msgid "A platform of interactive services"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:15
+msgid "for a common good of data"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:22
+msgid "Discovering"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:23
+#: ckanext/ozwillo_theme/templates/header.html:49
+msgid "News"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:24
+#: ckanext/ozwillo_theme/templates/header.html:50
+msgid "Co-construct"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:25
+#: ckanext/ozwillo_theme/templates/header.html:51
+msgid "Let's go"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:30
+msgid "Contact"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:31
+msgid "Project team"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:32
+#: ckanext/ozwillo_theme/templates/header.html:52
+msgid "Projects"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:37
+msgid "User guide"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:38
+msgid "General terms of use"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:39
+msgid "Legal Notices"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:40
+msgid "Governance"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:58
+msgid ""
+"OASIS is a project cofunded by the EU under the Program for "
+"Competitiveness and Innovation CIP ICT PSP- N°297210"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:23
+msgid "Home"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:24
+msgid "Catalog"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:27
+msgid "Data"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:29
+msgid "Datasets"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:30
+msgid "Organizations"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:31
+msgid "Groups"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:32
+msgid "Terms of use"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:45
+msgid "Log in"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:46
+msgid "Discover"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:48
+msgid "Discovering the Platform"
+msgstr ""
+
diff --git a/i18n/tr/LC_MESSAGES/ckanext.po b/i18n/tr/LC_MESSAGES/ckanext.po
new file mode 100644
index 0000000..f1eb8a7
--- /dev/null
+++ b/i18n/tr/LC_MESSAGES/ckanext.po
@@ -0,0 +1,122 @@
+# Turkish translations for ckanext-ozwillo-theme.
+# Copyright (C) 2015 ORGANIZATION
+# This file is distributed under the same license as the
+# ckanext-ozwillo-theme project.
+# FIRST AUTHOR <EMAIL@ADDRESS>, 2015.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: ckanext-ozwillo-theme 0.0.1\n"
+"Report-Msgid-Bugs-To: EMAIL@ADDRESS\n"
+"POT-Creation-Date: 2015-02-03 14:31+0100\n"
+"PO-Revision-Date: 2015-02-03 14:30+0100\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: tr <LL@li.org>\n"
+"Plural-Forms: nplurals=1; plural=0\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=utf-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+"Generated-By: Babel 0.9.6\n"
+
+#: ckanext/ozwillo_theme/templates/footer.html:14
+msgid "A platform of interactive services"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:15
+msgid "for a common good of data"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:22
+msgid "Discovering"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:23
+#: ckanext/ozwillo_theme/templates/header.html:49
+msgid "News"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:24
+#: ckanext/ozwillo_theme/templates/header.html:50
+msgid "Co-construct"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:25
+#: ckanext/ozwillo_theme/templates/header.html:51
+msgid "Let's go"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:30
+msgid "Contact"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:31
+msgid "Project team"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:32
+#: ckanext/ozwillo_theme/templates/header.html:52
+msgid "Projects"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:37
+msgid "User guide"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:38
+msgid "General terms of use"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:39
+msgid "Legal Notices"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:40
+msgid "Governance"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/footer.html:58
+msgid ""
+"OASIS is a project cofunded by the EU under the Program for "
+"Competitiveness and Innovation CIP ICT PSP- N°297210"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:23
+msgid "Home"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:24
+msgid "Catalog"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:27
+msgid "Data"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:29
+msgid "Datasets"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:30
+msgid "Organizations"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:31
+msgid "Groups"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:32
+msgid "Terms of use"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:45
+msgid "Log in"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:46
+msgid "Discover"
+msgstr ""
+
+#: ckanext/ozwillo_theme/templates/header.html:48
+msgid "Discovering the Platform"
+msgstr ""
+
diff --git a/update-translations.sh b/update-translations.sh
new file mode 100755
index 0000000..1a6bfb5
--- /dev/null
+++ b/update-translations.sh
@@ -0,0 +1,20 @@
+#! /bin/sh
+
+CKAN_INSTALL_DIR=../venv/src/ckan/
+
+python setup.py extract_messages --mapping-file babel.cfg --output i18n/ckanext.pot
+
+for LANG in fr es ca it bg tr
+do
+	if [ -e i18n/$LANG/LC_MESSAGES/ckanext.po ]
+	then
+		python setup.py update_catalog -l $LANG -i i18n/ckanext.pot -o i18n/$LANG/LC_MESSAGES/ckanext.po
+	else
+		python setup.py init_catalog -l $LANG -i i18n/ckanext.pot -o i18n/$LANG/LC_MESSAGES/ckanext.po
+	fi
+
+	test -d $CKAN_INSTALL_DIR && msgcat --use-first \
+		"i18n/$LANG/LC_MESSAGES/ckanext.po" \
+		"$CKAN_INSTALL_DIR/ckan/i18n/$LANG/LC_MESSAGES/ckan.po" \
+		| msgfmt - -o "$CKAN_INSTALL_DIR/ckan/i18n/$LANG/LC_MESSAGES/ckan.mo"
+done