commit 6faff50034df58186b2b7dcd1a56fe68a3541c39
Author: Frédéric Péters <fpeters@entrouvert.com>
Date:   Tue Feb 10 13:21:32 2015 +0100

    add header strings translations

diff --git a/i18n/bg/LC_MESSAGES/ckanext.po b/i18n/bg/LC_MESSAGES/ckanext.po
index 1cad88d..82d9b43 100644
--- a/i18n/bg/LC_MESSAGES/ckanext.po
+++ b/i18n/bg/LC_MESSAGES/ckanext.po
@@ -3,7 +3,7 @@
 # This file is distributed under the same license as the
 # ckanext-ozwillo-theme project.
 # FIRST AUTHOR <EMAIL@ADDRESS>, 2015.
-#
+# 
 msgid ""
 msgstr ""
 "Project-Id-Version: ckanext-ozwillo-theme 0.0.1\n"
@@ -12,10 +12,10 @@ msgstr ""
 "PO-Revision-Date: 2015-02-03 14:30+0100\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: bg <LL@li.org>\n"
-"Plural-Forms: nplurals=2; plural=(n != 1)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=utf-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1)\n"
 "Generated-By: Babel 0.9.6\n"
 
 #: ckanext/ozwillo_theme/templates/footer.html:14
@@ -28,7 +28,7 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/footer.html:22
 msgid "/en/oz/discover"
-msgstr "/bg/oz"
+msgstr "/bg/oz/discover"
 
 #: ckanext/ozwillo_theme/templates/footer.html:22
 msgid "Discovering"
@@ -117,8 +117,8 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/footer.html:58
 msgid ""
-"OASIS is a project cofunded by the EU under the Program for "
-"Competitiveness and Innovation CIP ICT PSP- N°297210"
+"OASIS is a project cofunded by the EU under the Program for Competitiveness "
+"and Innovation CIP ICT PSP- N°297210"
 msgstr ""
 
 #: ckanext/ozwillo_theme/templates/header.html:23
@@ -127,7 +127,7 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/header.html:24
 msgid "Catalog"
-msgstr ""
+msgstr "Catalog"
 
 #: ckanext/ozwillo_theme/templates/header.html:27
 msgid "Data"
@@ -151,7 +151,7 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/header.html:45
 msgid "Log in"
-msgstr ""
+msgstr "Вход"
 
 #: ckanext/ozwillo_theme/templates/header.html:46
 msgid "Discover"
@@ -160,4 +160,3 @@ msgstr ""
 #: ckanext/ozwillo_theme/templates/header.html:48
 msgid "Discovering the Platform"
 msgstr ""
-
diff --git a/i18n/ca/LC_MESSAGES/ckanext.po b/i18n/ca/LC_MESSAGES/ckanext.po
index 4dbeee8..776061e 100644
--- a/i18n/ca/LC_MESSAGES/ckanext.po
+++ b/i18n/ca/LC_MESSAGES/ckanext.po
@@ -3,7 +3,7 @@
 # This file is distributed under the same license as the
 # ckanext-ozwillo-theme project.
 # FIRST AUTHOR <EMAIL@ADDRESS>, 2015.
-#
+# 
 msgid ""
 msgstr ""
 "Project-Id-Version: ckanext-ozwillo-theme 0.0.1\n"
@@ -12,10 +12,10 @@ msgstr ""
 "PO-Revision-Date: 2015-02-03 14:30+0100\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: ca <LL@li.org>\n"
-"Plural-Forms: nplurals=2; plural=(n != 1)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=utf-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1)\n"
 "Generated-By: Babel 0.9.6\n"
 
 #: ckanext/ozwillo_theme/templates/footer.html:14
@@ -28,7 +28,7 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/footer.html:22
 msgid "/en/oz/discover"
-msgstr "/ca/descobrint"
+msgstr "/ca/oz/descobrint"
 
 #: ckanext/ozwillo_theme/templates/footer.html:22
 msgid "Discovering"
@@ -117,8 +117,8 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/footer.html:58
 msgid ""
-"OASIS is a project cofunded by the EU under the Program for "
-"Competitiveness and Innovation CIP ICT PSP- N°297210"
+"OASIS is a project cofunded by the EU under the Program for Competitiveness "
+"and Innovation CIP ICT PSP- N°297210"
 msgstr ""
 
 #: ckanext/ozwillo_theme/templates/header.html:23
@@ -127,7 +127,7 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/header.html:24
 msgid "Catalog"
-msgstr ""
+msgstr "Botiga"
 
 #: ckanext/ozwillo_theme/templates/header.html:27
 msgid "Data"
@@ -151,7 +151,7 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/header.html:45
 msgid "Log in"
-msgstr ""
+msgstr "Entrar"
 
 #: ckanext/ozwillo_theme/templates/header.html:46
 msgid "Discover"
@@ -160,4 +160,3 @@ msgstr ""
 #: ckanext/ozwillo_theme/templates/header.html:48
 msgid "Discovering the Platform"
 msgstr ""
-
diff --git a/i18n/es/LC_MESSAGES/ckanext.po b/i18n/es/LC_MESSAGES/ckanext.po
index d8ddb5a..f37c950 100644
--- a/i18n/es/LC_MESSAGES/ckanext.po
+++ b/i18n/es/LC_MESSAGES/ckanext.po
@@ -3,7 +3,7 @@
 # This file is distributed under the same license as the
 # ckanext-ozwillo-theme project.
 # FIRST AUTHOR <EMAIL@ADDRESS>, 2015.
-#
+# 
 msgid ""
 msgstr ""
 "Project-Id-Version: ckanext-ozwillo-theme 0.0.1\n"
@@ -12,10 +12,10 @@ msgstr ""
 "PO-Revision-Date: 2015-02-03 14:19+0100\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: es <LL@li.org>\n"
-"Plural-Forms: nplurals=2; plural=(n != 1)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=utf-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1)\n"
 "Generated-By: Babel 0.9.6\n"
 
 #: ckanext/ozwillo_theme/templates/footer.html:14
@@ -28,7 +28,7 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/footer.html:22
 msgid "/en/oz/discover"
-msgstr "/es/descubriendo"
+msgstr "/es/oz/descubriendo"
 
 #: ckanext/ozwillo_theme/templates/footer.html:22
 msgid "Discovering"
@@ -117,8 +117,8 @@ msgstr "Gobernanza"
 
 #: ckanext/ozwillo_theme/templates/footer.html:58
 msgid ""
-"OASIS is a project cofunded by the EU under the Program for "
-"Competitiveness and Innovation CIP ICT PSP- N°297210"
+"OASIS is a project cofunded by the EU under the Program for Competitiveness "
+"and Innovation CIP ICT PSP- N°297210"
 msgstr ""
 
 #: ckanext/ozwillo_theme/templates/header.html:23
@@ -127,7 +127,7 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/header.html:24
 msgid "Catalog"
-msgstr "Tiendo"
+msgstr "Tienda"
 
 #: ckanext/ozwillo_theme/templates/header.html:27
 msgid "Data"
@@ -160,4 +160,3 @@ msgstr "Descubriendo"
 #: ckanext/ozwillo_theme/templates/header.html:48
 msgid "Discovering the Platform"
 msgstr ""
-
diff --git a/i18n/fr/LC_MESSAGES/ckanext.po b/i18n/fr/LC_MESSAGES/ckanext.po
index 4c2bc06..0db6a70 100644
--- a/i18n/fr/LC_MESSAGES/ckanext.po
+++ b/i18n/fr/LC_MESSAGES/ckanext.po
@@ -3,7 +3,7 @@
 # This file is distributed under the same license as the
 # ckanext-ozwillo-theme project.
 # FIRST AUTHOR <EMAIL@ADDRESS>, 2015.
-#
+# 
 msgid ""
 msgstr ""
 "Project-Id-Version: ckanext-ozwillo-theme 0.0.1\n"
@@ -12,10 +12,10 @@ msgstr ""
 "PO-Revision-Date: 2015-02-03 14:23+0100\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: fr <LL@li.org>\n"
-"Plural-Forms: nplurals=2; plural=(n > 1)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=utf-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n > 1)\n"
 "Generated-By: Babel 0.9.6\n"
 
 #: ckanext/ozwillo_theme/templates/footer.html:14
@@ -28,7 +28,7 @@ msgstr "pour la création d'un bien commune de données"
 
 #: ckanext/ozwillo_theme/templates/footer.html:22
 msgid "/en/oz/discover"
-msgstr "/fr/decouvrir"
+msgstr "/fr/oz/decouvrir"
 
 #: ckanext/ozwillo_theme/templates/footer.html:22
 msgid "Discovering"
@@ -117,8 +117,8 @@ msgstr "Gouvernance"
 
 #: ckanext/ozwillo_theme/templates/footer.html:58
 msgid ""
-"OASIS is a project cofunded by the EU under the Program for "
-"Competitiveness and Innovation CIP ICT PSP- N°297210"
+"OASIS is a project cofunded by the EU under the Program for Competitiveness "
+"and Innovation CIP ICT PSP- N°297210"
 msgstr ""
 "OASIS est un projet financé par l'Union Européenne dans le cadre du "
 "programme pour la compétitivité et l'innovation CIP ICT PSP- N°297210"
@@ -153,7 +153,7 @@ msgstr "Conditions d'utilisation"
 
 #: ckanext/ozwillo_theme/templates/header.html:45
 msgid "Log in"
-msgstr ""
+msgstr "Connexion"
 
 #: ckanext/ozwillo_theme/templates/header.html:46
 msgid "Discover"
@@ -162,4 +162,3 @@ msgstr "Découvrir"
 #: ckanext/ozwillo_theme/templates/header.html:48
 msgid "Discovering the Platform"
 msgstr "Découvrir la plateforme"
-
diff --git a/i18n/it/LC_MESSAGES/ckanext.po b/i18n/it/LC_MESSAGES/ckanext.po
index 57576ad..15296ea 100644
--- a/i18n/it/LC_MESSAGES/ckanext.po
+++ b/i18n/it/LC_MESSAGES/ckanext.po
@@ -3,7 +3,7 @@
 # This file is distributed under the same license as the
 # ckanext-ozwillo-theme project.
 # FIRST AUTHOR <EMAIL@ADDRESS>, 2015.
-#
+# 
 msgid ""
 msgstr ""
 "Project-Id-Version: ckanext-ozwillo-theme 0.0.1\n"
@@ -12,10 +12,10 @@ msgstr ""
 "PO-Revision-Date: 2015-02-03 14:30+0100\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: it <LL@li.org>\n"
-"Plural-Forms: nplurals=2; plural=(n != 1)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=utf-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=2; plural=(n != 1)\n"
 "Generated-By: Babel 0.9.6\n"
 
 #: ckanext/ozwillo_theme/templates/footer.html:14
@@ -28,7 +28,7 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/footer.html:22
 msgid "/en/oz/discover"
-msgstr "/it/scoprire"
+msgstr "/it/oz/scoprire"
 
 #: ckanext/ozwillo_theme/templates/footer.html:22
 msgid "Discovering"
@@ -117,8 +117,8 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/footer.html:58
 msgid ""
-"OASIS is a project cofunded by the EU under the Program for "
-"Competitiveness and Innovation CIP ICT PSP- N°297210"
+"OASIS is a project cofunded by the EU under the Program for Competitiveness "
+"and Innovation CIP ICT PSP- N°297210"
 msgstr ""
 
 #: ckanext/ozwillo_theme/templates/header.html:23
@@ -127,7 +127,7 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/header.html:24
 msgid "Catalog"
-msgstr ""
+msgstr "Catalogo"
 
 #: ckanext/ozwillo_theme/templates/header.html:27
 msgid "Data"
@@ -151,7 +151,7 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/header.html:45
 msgid "Log in"
-msgstr ""
+msgstr "Entra"
 
 #: ckanext/ozwillo_theme/templates/header.html:46
 msgid "Discover"
@@ -160,4 +160,3 @@ msgstr ""
 #: ckanext/ozwillo_theme/templates/header.html:48
 msgid "Discovering the Platform"
 msgstr ""
-
diff --git a/i18n/tr/LC_MESSAGES/ckanext.po b/i18n/tr/LC_MESSAGES/ckanext.po
index 82ba08e..d0d30ab 100644
--- a/i18n/tr/LC_MESSAGES/ckanext.po
+++ b/i18n/tr/LC_MESSAGES/ckanext.po
@@ -3,7 +3,7 @@
 # This file is distributed under the same license as the
 # ckanext-ozwillo-theme project.
 # FIRST AUTHOR <EMAIL@ADDRESS>, 2015.
-#
+# 
 msgid ""
 msgstr ""
 "Project-Id-Version: ckanext-ozwillo-theme 0.0.1\n"
@@ -12,10 +12,10 @@ msgstr ""
 "PO-Revision-Date: 2015-02-03 14:30+0100\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: tr <LL@li.org>\n"
-"Plural-Forms: nplurals=1; plural=0\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=utf-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=1; plural=0\n"
 "Generated-By: Babel 0.9.6\n"
 
 #: ckanext/ozwillo_theme/templates/footer.html:14
@@ -28,7 +28,7 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/footer.html:22
 msgid "/en/oz/discover"
-msgstr "/tr/oz"
+msgstr "/tr/oz/kesfedin"
 
 #: ckanext/ozwillo_theme/templates/footer.html:22
 msgid "Discovering"
@@ -117,8 +117,8 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/footer.html:58
 msgid ""
-"OASIS is a project cofunded by the EU under the Program for "
-"Competitiveness and Innovation CIP ICT PSP- N°297210"
+"OASIS is a project cofunded by the EU under the Program for Competitiveness "
+"and Innovation CIP ICT PSP- N°297210"
 msgstr ""
 
 #: ckanext/ozwillo_theme/templates/header.html:23
@@ -127,7 +127,7 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/header.html:24
 msgid "Catalog"
-msgstr ""
+msgstr "Catalog"
 
 #: ckanext/ozwillo_theme/templates/header.html:27
 msgid "Data"
@@ -151,7 +151,7 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/header.html:45
 msgid "Log in"
-msgstr ""
+msgstr "Giriş"
 
 #: ckanext/ozwillo_theme/templates/header.html:46
 msgid "Discover"
@@ -160,4 +160,3 @@ msgstr ""
 #: ckanext/ozwillo_theme/templates/header.html:48
 msgid "Discovering the Platform"
 msgstr ""
-
diff --git a/update-translations-from-menusets.py b/update-translations-from-menusets.py
index 183cae3..99d43d6 100755
--- a/update-translations-from-menusets.py
+++ b/update-translations-from-menusets.py
@@ -5,7 +5,7 @@ import requests
 import xml.etree.ElementTree as ET
 import polib
 
-urls = ['https://www.oasis-eu.org/footer.xml']
+urls = ['https://www.oasis-eu.org/footer.xml', 'https://www.oasis-eu.org/header.xml']
 langs = {}
 for url in urls:
     response = requests.get(url)