commit d791423e96b32c6005f6b739e4fb2e5dd258d40d
Author: Frédéric Péters <fpeters@entrouvert.com>
Date:   Tue Feb 3 16:37:56 2015 +0100

    add translations of URLs themselves

diff --git a/ckanext/ozwillo_theme/templates/footer.html b/ckanext/ozwillo_theme/templates/footer.html
index 948f03a..efe3d73 100644
--- a/ckanext/ozwillo_theme/templates/footer.html
+++ b/ckanext/ozwillo_theme/templates/footer.html
@@ -19,25 +19,25 @@
 							</div>
 					<div class=" col-lg-2 col-md-2 col-sm-3 col-xs-4">
 								<div class="t3-module module " id="Mod141"><div class="module-inner"><div class="module-ct"><ul class="nav navbar-nav navbar-right navbar-footer">
-<li><a href="/en/oz/discover">{% trans %}Discovering{% endtrans %}</a></li>
-<li><a href="/en/oz/news">{% trans %}News{% endtrans %}</a></li>
-<li><a href="/en/oz/co-construct">{% trans %}Co-construct{% endtrans %}</a></li>
-<li><a href="/en/oz/let-s-go">{% trans %}Let's go{% endtrans %}</a></li></ul>
+<li><a href="{% trans %}/en/oz/discover{% endtrans %}">{% trans %}Discovering{% endtrans %}</a></li>
+<li><a href="{% trans %}/en/oz/news{% endtrans %}">{% trans %}News{% endtrans %}</a></li>
+<li><a href="{% trans %}/en/oz/co-construct{% endtrans %}">{% trans %}Co-construct{% endtrans %}</a></li>
+<li><a href="{% trans %}/en/oz/let-s-go{% endtrans %}">{% trans %}Let's go{% endtrans %}</a></li></ul>
 </div></div></div>
 							</div>
 					<div class=" col-lg-2 col-md-2 col-sm-3 col-xs-4">
 								<div class="t3-module module " id="Mod142"><div class="module-inner"><div class="module-ct"><ul class="nav navbar-nav navbar-right navbar-footer">
-<li><a href="/en/contact">{% trans %}Contact{% endtrans %}</a></li>
-<li><a href="/en/l-equipe-projet-oasis">{% trans %}Project team{% endtrans %}</a></li>
-<li><a href="/en/oz/projects">{% trans %}Projects{% endtrans %}</a></li></ul>
+<li><a href="{% trans %}/en/contact{% endtrans %}">{% trans %}Contact{% endtrans %}</a></li>
+<li><a href="{% trans %}/en/l-equipe-projet-oasis{% endtrans %}">{% trans %}Project team{% endtrans %}</a></li>
+<li><a href="{% trans %}/en/oz/projects{% endtrans %}">{% trans %}Projects{% endtrans %}</a></li></ul>
 </div></div></div>
 							</div>
 					<div class=" col-lg-2 col-md-2 col-sm-3 col-xs-4">
 								<div class="t3-module module " id="Mod143"><div class="module-inner"><div class="module-ct"><ul class="nav navbar-nav navbar-right navbar-footer">
-<li><a href="/en/guide-utilisateur">{% trans %}User guide{% endtrans %}</a></li>
-<li><a href="/en/terms">{% trans %}General terms of use{% endtrans %}</a></li>
-<li><a href="/en/legal-notices">{% trans %}Legal Notices{% endtrans %}</a></li>
-<li><a href="/en/oz/co-construct">{% trans %}Governance{% endtrans %}</a></li></ul>
+<li><a href="{% trans %}/en/guide-utilisateur{% endtrans %}">{% trans %}User guide{% endtrans %}</a></li>
+<li><a href="{% trans %}/en/terms{% endtrans %}">{% trans %}General terms of use{% endtrans %}</a></li>
+<li><a href="{% trans %}/en/legal-notices{% endtrans %}">{% trans %}Legal Notices{% endtrans %}</a></li>
+<li><a href="{% trans %}/en/oz/co-construct{% endtrans %}">{% trans %}Governance{% endtrans %}</a></li></ul>
 </div></div></div>
 							</div>
 			</div>
diff --git a/i18n/bg/LC_MESSAGES/ckanext.po b/i18n/bg/LC_MESSAGES/ckanext.po
index 9bdf883..1cad88d 100644
--- a/i18n/bg/LC_MESSAGES/ckanext.po
+++ b/i18n/bg/LC_MESSAGES/ckanext.po
@@ -3,19 +3,19 @@
 # This file is distributed under the same license as the
 # ckanext-ozwillo-theme project.
 # FIRST AUTHOR <EMAIL@ADDRESS>, 2015.
-# 
+#
 msgid ""
 msgstr ""
 "Project-Id-Version: ckanext-ozwillo-theme 0.0.1\n"
 "Report-Msgid-Bugs-To: EMAIL@ADDRESS\n"
-"POT-Creation-Date: 2015-02-03 14:31+0100\n"
+"POT-Creation-Date: 2015-02-03 16:38+0100\n"
 "PO-Revision-Date: 2015-02-03 14:30+0100\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: bg <LL@li.org>\n"
+"Plural-Forms: nplurals=2; plural=(n != 1)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=utf-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"Plural-Forms: nplurals=2; plural=(n != 1)\n"
 "Generated-By: Babel 0.9.6\n"
 
 #: ckanext/ozwillo_theme/templates/footer.html:14
@@ -26,46 +26,87 @@ msgstr ""
 msgid "for a common good of data"
 msgstr ""
 
+#: ckanext/ozwillo_theme/templates/footer.html:22
+msgid "/en/oz/discover"
+msgstr "/bg/oz"
+
 #: ckanext/ozwillo_theme/templates/footer.html:22
 msgid "Discovering"
 msgstr "Изучаване"
 
+#: ckanext/ozwillo_theme/templates/footer.html:23
+msgid "/en/oz/news"
+msgstr "/bg/?Itemid=237"
+
 #: ckanext/ozwillo_theme/templates/footer.html:23
 #: ckanext/ozwillo_theme/templates/header.html:49
 msgid "News"
 msgstr "Новини"
 
+#: ckanext/ozwillo_theme/templates/footer.html:24
+#: ckanext/ozwillo_theme/templates/footer.html:40
+msgid "/en/oz/co-construct"
+msgstr "#"
+
 #: ckanext/ozwillo_theme/templates/footer.html:24
 #: ckanext/ozwillo_theme/templates/header.html:50
 msgid "Co-construct"
 msgstr "Съвместно изграждане "
 
+#: ckanext/ozwillo_theme/templates/footer.html:25
+msgid "/en/oz/let-s-go"
+msgstr "/bg/oz/st-rtir-n"
+
 #: ckanext/ozwillo_theme/templates/footer.html:25
 #: ckanext/ozwillo_theme/templates/header.html:51
 msgid "Let's go"
 msgstr "Стартиране "
 
+#: ckanext/ozwillo_theme/templates/footer.html:30
+msgid "/en/contact"
+msgstr "/bg/vriz-i"
+
 #: ckanext/ozwillo_theme/templates/footer.html:30
 msgid "Contact"
 msgstr "Връзки"
 
+#: ckanext/ozwillo_theme/templates/footer.html:31
+msgid "/en/l-equipe-projet-oasis"
+msgstr "/bg/ipit-n-pr-t"
+
 #: ckanext/ozwillo_theme/templates/footer.html:31
 msgid "Project team"
 msgstr "Екипът на проекта "
 
+#: ckanext/ozwillo_theme/templates/footer.html:32
+msgid "/en/oz/projects"
+msgstr "/bg/?Itemid=240"
+
 #: ckanext/ozwillo_theme/templates/footer.html:32
 #: ckanext/ozwillo_theme/templates/header.html:52
 msgid "Projects"
 msgstr "Проекти"
 
+#: ckanext/ozwillo_theme/templates/footer.html:37
+msgid "/en/guide-utilisateur"
+msgstr "/bg/ri-v-dstv-n-p-tr-bit-lja"
+
 #: ckanext/ozwillo_theme/templates/footer.html:37
 msgid "User guide"
 msgstr "Ръководство на потребителя"
 
+#: ckanext/ozwillo_theme/templates/footer.html:38
+msgid "/en/terms"
+msgstr "/bg/uslovia"
+
 #: ckanext/ozwillo_theme/templates/footer.html:38
 msgid "General terms of use"
 msgstr "Условия за ползване "
 
+#: ckanext/ozwillo_theme/templates/footer.html:39
+msgid "/en/legal-notices"
+msgstr "/bg/pr-vni-b-l-z-i"
+
 #: ckanext/ozwillo_theme/templates/footer.html:39
 msgid "Legal Notices"
 msgstr "Правни бележки"
@@ -76,8 +117,8 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/footer.html:58
 msgid ""
-"OASIS is a project cofunded by the EU under the Program for Competitiveness "
-"and Innovation CIP ICT PSP- N°297210"
+"OASIS is a project cofunded by the EU under the Program for "
+"Competitiveness and Innovation CIP ICT PSP- N°297210"
 msgstr ""
 
 #: ckanext/ozwillo_theme/templates/header.html:23
@@ -119,3 +160,4 @@ msgstr ""
 #: ckanext/ozwillo_theme/templates/header.html:48
 msgid "Discovering the Platform"
 msgstr ""
+
diff --git a/i18n/ca/LC_MESSAGES/ckanext.po b/i18n/ca/LC_MESSAGES/ckanext.po
index 850ca8e..4dbeee8 100644
--- a/i18n/ca/LC_MESSAGES/ckanext.po
+++ b/i18n/ca/LC_MESSAGES/ckanext.po
@@ -3,19 +3,19 @@
 # This file is distributed under the same license as the
 # ckanext-ozwillo-theme project.
 # FIRST AUTHOR <EMAIL@ADDRESS>, 2015.
-# 
+#
 msgid ""
 msgstr ""
 "Project-Id-Version: ckanext-ozwillo-theme 0.0.1\n"
 "Report-Msgid-Bugs-To: EMAIL@ADDRESS\n"
-"POT-Creation-Date: 2015-02-03 14:31+0100\n"
+"POT-Creation-Date: 2015-02-03 16:38+0100\n"
 "PO-Revision-Date: 2015-02-03 14:30+0100\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: ca <LL@li.org>\n"
+"Plural-Forms: nplurals=2; plural=(n != 1)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=utf-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"Plural-Forms: nplurals=2; plural=(n != 1)\n"
 "Generated-By: Babel 0.9.6\n"
 
 #: ckanext/ozwillo_theme/templates/footer.html:14
@@ -26,46 +26,87 @@ msgstr ""
 msgid "for a common good of data"
 msgstr ""
 
+#: ckanext/ozwillo_theme/templates/footer.html:22
+msgid "/en/oz/discover"
+msgstr "/ca/descobrint"
+
 #: ckanext/ozwillo_theme/templates/footer.html:22
 msgid "Discovering"
 msgstr "Descobrint"
 
+#: ckanext/ozwillo_theme/templates/footer.html:23
+msgid "/en/oz/news"
+msgstr "/en/oz/news"
+
 #: ckanext/ozwillo_theme/templates/footer.html:23
 #: ckanext/ozwillo_theme/templates/header.html:49
 msgid "News"
 msgstr "Noticies"
 
+#: ckanext/ozwillo_theme/templates/footer.html:24
+#: ckanext/ozwillo_theme/templates/footer.html:40
+msgid "/en/oz/co-construct"
+msgstr "#"
+
 #: ckanext/ozwillo_theme/templates/footer.html:24
 #: ckanext/ozwillo_theme/templates/header.html:50
 msgid "Co-construct"
 msgstr "Co-construcció"
 
+#: ckanext/ozwillo_theme/templates/footer.html:25
+msgid "/en/oz/let-s-go"
+msgstr "/ca/posada-en-marxa"
+
 #: ckanext/ozwillo_theme/templates/footer.html:25
 #: ckanext/ozwillo_theme/templates/header.html:51
 msgid "Let's go"
 msgstr "Posada en marxa"
 
+#: ckanext/ozwillo_theme/templates/footer.html:30
+msgid "/en/contact"
+msgstr "/ca/contactes"
+
 #: ckanext/ozwillo_theme/templates/footer.html:30
 msgid "Contact"
 msgstr "Contactes"
 
+#: ckanext/ozwillo_theme/templates/footer.html:31
+msgid "/en/l-equipe-projet-oasis"
+msgstr "/ca/l-equip-del-projecte"
+
 #: ckanext/ozwillo_theme/templates/footer.html:31
 msgid "Project team"
 msgstr "L'equip del Projecte"
 
+#: ckanext/ozwillo_theme/templates/footer.html:32
+msgid "/en/oz/projects"
+msgstr "/en/oz/projects"
+
 #: ckanext/ozwillo_theme/templates/footer.html:32
 #: ckanext/ozwillo_theme/templates/header.html:52
 msgid "Projects"
 msgstr "Projectes"
 
+#: ckanext/ozwillo_theme/templates/footer.html:37
+msgid "/en/guide-utilisateur"
+msgstr "/ca/manuals-d-usuari"
+
 #: ckanext/ozwillo_theme/templates/footer.html:37
 msgid "User guide"
 msgstr "Manuals d'usuari"
 
+#: ckanext/ozwillo_theme/templates/footer.html:38
+msgid "/en/terms"
+msgstr "/ca/condicions"
+
 #: ckanext/ozwillo_theme/templates/footer.html:38
 msgid "General terms of use"
 msgstr "Condicions d'ús"
 
+#: ckanext/ozwillo_theme/templates/footer.html:39
+msgid "/en/legal-notices"
+msgstr "/ca/notes-legals"
+
 #: ckanext/ozwillo_theme/templates/footer.html:39
 msgid "Legal Notices"
 msgstr "Notes Legals"
@@ -76,8 +117,8 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/footer.html:58
 msgid ""
-"OASIS is a project cofunded by the EU under the Program for Competitiveness "
-"and Innovation CIP ICT PSP- N°297210"
+"OASIS is a project cofunded by the EU under the Program for "
+"Competitiveness and Innovation CIP ICT PSP- N°297210"
 msgstr ""
 
 #: ckanext/ozwillo_theme/templates/header.html:23
@@ -119,3 +160,4 @@ msgstr ""
 #: ckanext/ozwillo_theme/templates/header.html:48
 msgid "Discovering the Platform"
 msgstr ""
+
diff --git a/i18n/es/LC_MESSAGES/ckanext.po b/i18n/es/LC_MESSAGES/ckanext.po
index e9d4eda..d8ddb5a 100644
--- a/i18n/es/LC_MESSAGES/ckanext.po
+++ b/i18n/es/LC_MESSAGES/ckanext.po
@@ -3,19 +3,19 @@
 # This file is distributed under the same license as the
 # ckanext-ozwillo-theme project.
 # FIRST AUTHOR <EMAIL@ADDRESS>, 2015.
-# 
+#
 msgid ""
 msgstr ""
 "Project-Id-Version: ckanext-ozwillo-theme 0.0.1\n"
 "Report-Msgid-Bugs-To: EMAIL@ADDRESS\n"
-"POT-Creation-Date: 2015-02-03 14:31+0100\n"
+"POT-Creation-Date: 2015-02-03 16:38+0100\n"
 "PO-Revision-Date: 2015-02-03 14:19+0100\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: es <LL@li.org>\n"
+"Plural-Forms: nplurals=2; plural=(n != 1)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=utf-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"Plural-Forms: nplurals=2; plural=(n != 1)\n"
 "Generated-By: Babel 0.9.6\n"
 
 #: ckanext/ozwillo_theme/templates/footer.html:14
@@ -26,46 +26,87 @@ msgstr ""
 msgid "for a common good of data"
 msgstr ""
 
+#: ckanext/ozwillo_theme/templates/footer.html:22
+msgid "/en/oz/discover"
+msgstr "/es/descubriendo"
+
 #: ckanext/ozwillo_theme/templates/footer.html:22
 msgid "Discovering"
 msgstr "Descubriendo"
 
+#: ckanext/ozwillo_theme/templates/footer.html:23
+msgid "/en/oz/news"
+msgstr "/en/oz/news"
+
 #: ckanext/ozwillo_theme/templates/footer.html:23
 #: ckanext/ozwillo_theme/templates/header.html:49
 msgid "News"
 msgstr "Noticias"
 
+#: ckanext/ozwillo_theme/templates/footer.html:24
+#: ckanext/ozwillo_theme/templates/footer.html:40
+msgid "/en/oz/co-construct"
+msgstr "/en/oz/co-construct"
+
 #: ckanext/ozwillo_theme/templates/footer.html:24
 #: ckanext/ozwillo_theme/templates/header.html:50
 msgid "Co-construct"
 msgstr "Co-construcción"
 
+#: ckanext/ozwillo_theme/templates/footer.html:25
+msgid "/en/oz/let-s-go"
+msgstr "/es/puesta-en-marcha"
+
 #: ckanext/ozwillo_theme/templates/footer.html:25
 #: ckanext/ozwillo_theme/templates/header.html:51
 msgid "Let's go"
 msgstr "Puesta en marcha"
 
+#: ckanext/ozwillo_theme/templates/footer.html:30
+msgid "/en/contact"
+msgstr "/es/contactos"
+
 #: ckanext/ozwillo_theme/templates/footer.html:30
 msgid "Contact"
 msgstr "Contactos"
 
+#: ckanext/ozwillo_theme/templates/footer.html:31
+msgid "/en/l-equipe-projet-oasis"
+msgstr "/es/el-equipo-del-proyecto"
+
 #: ckanext/ozwillo_theme/templates/footer.html:31
 msgid "Project team"
 msgstr "El equipo del proyecto"
 
+#: ckanext/ozwillo_theme/templates/footer.html:32
+msgid "/en/oz/projects"
+msgstr "/en/oz/projects"
+
 #: ckanext/ozwillo_theme/templates/footer.html:32
 #: ckanext/ozwillo_theme/templates/header.html:52
 msgid "Projects"
 msgstr " Proyectos"
 
+#: ckanext/ozwillo_theme/templates/footer.html:37
+msgid "/en/guide-utilisateur"
+msgstr "/es/manuales-de-usuario"
+
 #: ckanext/ozwillo_theme/templates/footer.html:37
 msgid "User guide"
 msgstr "Manuales de usuario"
 
+#: ckanext/ozwillo_theme/templates/footer.html:38
+msgid "/en/terms"
+msgstr "/es/condiciones"
+
 #: ckanext/ozwillo_theme/templates/footer.html:38
 msgid "General terms of use"
 msgstr "Condiciones de uso"
 
+#: ckanext/ozwillo_theme/templates/footer.html:39
+msgid "/en/legal-notices"
+msgstr "/es/notas-legales"
+
 #: ckanext/ozwillo_theme/templates/footer.html:39
 msgid "Legal Notices"
 msgstr "Notas legales"
@@ -76,8 +117,8 @@ msgstr "Gobernanza"
 
 #: ckanext/ozwillo_theme/templates/footer.html:58
 msgid ""
-"OASIS is a project cofunded by the EU under the Program for Competitiveness "
-"and Innovation CIP ICT PSP- N°297210"
+"OASIS is a project cofunded by the EU under the Program for "
+"Competitiveness and Innovation CIP ICT PSP- N°297210"
 msgstr ""
 
 #: ckanext/ozwillo_theme/templates/header.html:23
@@ -119,3 +160,4 @@ msgstr "Descubriendo"
 #: ckanext/ozwillo_theme/templates/header.html:48
 msgid "Discovering the Platform"
 msgstr ""
+
diff --git a/i18n/fr/LC_MESSAGES/ckanext.po b/i18n/fr/LC_MESSAGES/ckanext.po
index a1926a8..4c2bc06 100644
--- a/i18n/fr/LC_MESSAGES/ckanext.po
+++ b/i18n/fr/LC_MESSAGES/ckanext.po
@@ -3,19 +3,19 @@
 # This file is distributed under the same license as the
 # ckanext-ozwillo-theme project.
 # FIRST AUTHOR <EMAIL@ADDRESS>, 2015.
-# 
+#
 msgid ""
 msgstr ""
 "Project-Id-Version: ckanext-ozwillo-theme 0.0.1\n"
 "Report-Msgid-Bugs-To: EMAIL@ADDRESS\n"
-"POT-Creation-Date: 2015-02-03 14:31+0100\n"
+"POT-Creation-Date: 2015-02-03 16:38+0100\n"
 "PO-Revision-Date: 2015-02-03 14:23+0100\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: fr <LL@li.org>\n"
+"Plural-Forms: nplurals=2; plural=(n > 1)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=utf-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"Plural-Forms: nplurals=2; plural=(n > 1)\n"
 "Generated-By: Babel 0.9.6\n"
 
 #: ckanext/ozwillo_theme/templates/footer.html:14
@@ -26,46 +26,87 @@ msgstr "Une plateforme d'applications"
 msgid "for a common good of data"
 msgstr "pour la création d'un bien commune de données"
 
+#: ckanext/ozwillo_theme/templates/footer.html:22
+msgid "/en/oz/discover"
+msgstr "/fr/decouvrir"
+
 #: ckanext/ozwillo_theme/templates/footer.html:22
 msgid "Discovering"
 msgstr "Découvrir"
 
+#: ckanext/ozwillo_theme/templates/footer.html:23
+msgid "/en/oz/news"
+msgstr "/fr/oz/news"
+
 #: ckanext/ozwillo_theme/templates/footer.html:23
 #: ckanext/ozwillo_theme/templates/header.html:49
 msgid "News"
 msgstr "Actualités"
 
+#: ckanext/ozwillo_theme/templates/footer.html:24
+#: ckanext/ozwillo_theme/templates/footer.html:40
+msgid "/en/oz/co-construct"
+msgstr "/fr/gouvernance"
+
 #: ckanext/ozwillo_theme/templates/footer.html:24
 #: ckanext/ozwillo_theme/templates/header.html:50
 msgid "Co-construct"
 msgstr "Co-construire"
 
+#: ckanext/ozwillo_theme/templates/footer.html:25
+msgid "/en/oz/let-s-go"
+msgstr "/fr/se-lancer"
+
 #: ckanext/ozwillo_theme/templates/footer.html:25
 #: ckanext/ozwillo_theme/templates/header.html:51
 msgid "Let's go"
 msgstr "Se lancer"
 
+#: ckanext/ozwillo_theme/templates/footer.html:30
+msgid "/en/contact"
+msgstr "/fr/contact"
+
 #: ckanext/ozwillo_theme/templates/footer.html:30
 msgid "Contact"
 msgstr "Contact"
 
+#: ckanext/ozwillo_theme/templates/footer.html:31
+msgid "/en/l-equipe-projet-oasis"
+msgstr "/fr/projets"
+
 #: ckanext/ozwillo_theme/templates/footer.html:31
 msgid "Project team"
 msgstr "Projets"
 
+#: ckanext/ozwillo_theme/templates/footer.html:32
+msgid "/en/oz/projects"
+msgstr "/fr/l-equipe-projet-oasis"
+
 #: ckanext/ozwillo_theme/templates/footer.html:32
 #: ckanext/ozwillo_theme/templates/header.html:52
 msgid "Projects"
 msgstr "L'équipe projet"
 
+#: ckanext/ozwillo_theme/templates/footer.html:37
+msgid "/en/guide-utilisateur"
+msgstr "/fr/guide-utilisateur"
+
 #: ckanext/ozwillo_theme/templates/footer.html:37
 msgid "User guide"
 msgstr "Guide utilisateur"
 
+#: ckanext/ozwillo_theme/templates/footer.html:38
+msgid "/en/terms"
+msgstr "/fr/cgu"
+
 #: ckanext/ozwillo_theme/templates/footer.html:38
 msgid "General terms of use"
 msgstr "CGU"
 
+#: ckanext/ozwillo_theme/templates/footer.html:39
+msgid "/en/legal-notices"
+msgstr "/fr/mentions-legales-confidentialite"
+
 #: ckanext/ozwillo_theme/templates/footer.html:39
 msgid "Legal Notices"
 msgstr "Mentions légales"
@@ -76,8 +117,8 @@ msgstr "Gouvernance"
 
 #: ckanext/ozwillo_theme/templates/footer.html:58
 msgid ""
-"OASIS is a project cofunded by the EU under the Program for Competitiveness "
-"and Innovation CIP ICT PSP- N°297210"
+"OASIS is a project cofunded by the EU under the Program for "
+"Competitiveness and Innovation CIP ICT PSP- N°297210"
 msgstr ""
 "OASIS est un projet financé par l'Union Européenne dans le cadre du "
 "programme pour la compétitivité et l'innovation CIP ICT PSP- N°297210"
@@ -121,3 +162,4 @@ msgstr "Découvrir"
 #: ckanext/ozwillo_theme/templates/header.html:48
 msgid "Discovering the Platform"
 msgstr "Découvrir la plateforme"
+
diff --git a/i18n/it/LC_MESSAGES/ckanext.po b/i18n/it/LC_MESSAGES/ckanext.po
index 46c1991..57576ad 100644
--- a/i18n/it/LC_MESSAGES/ckanext.po
+++ b/i18n/it/LC_MESSAGES/ckanext.po
@@ -3,19 +3,19 @@
 # This file is distributed under the same license as the
 # ckanext-ozwillo-theme project.
 # FIRST AUTHOR <EMAIL@ADDRESS>, 2015.
-# 
+#
 msgid ""
 msgstr ""
 "Project-Id-Version: ckanext-ozwillo-theme 0.0.1\n"
 "Report-Msgid-Bugs-To: EMAIL@ADDRESS\n"
-"POT-Creation-Date: 2015-02-03 14:31+0100\n"
+"POT-Creation-Date: 2015-02-03 16:38+0100\n"
 "PO-Revision-Date: 2015-02-03 14:30+0100\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: it <LL@li.org>\n"
+"Plural-Forms: nplurals=2; plural=(n != 1)\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=utf-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"Plural-Forms: nplurals=2; plural=(n != 1)\n"
 "Generated-By: Babel 0.9.6\n"
 
 #: ckanext/ozwillo_theme/templates/footer.html:14
@@ -26,46 +26,87 @@ msgstr ""
 msgid "for a common good of data"
 msgstr ""
 
+#: ckanext/ozwillo_theme/templates/footer.html:22
+msgid "/en/oz/discover"
+msgstr "/it/scoprire"
+
 #: ckanext/ozwillo_theme/templates/footer.html:22
 msgid "Discovering"
 msgstr "Scoprire"
 
+#: ckanext/ozwillo_theme/templates/footer.html:23
+msgid "/en/oz/news"
+msgstr "https://www.oasis-eu.org/en/oz/news"
+
 #: ckanext/ozwillo_theme/templates/footer.html:23
 #: ckanext/ozwillo_theme/templates/header.html:49
 msgid "News"
 msgstr "Novità"
 
+#: ckanext/ozwillo_theme/templates/footer.html:24
+#: ckanext/ozwillo_theme/templates/footer.html:40
+msgid "/en/oz/co-construct"
+msgstr "#"
+
 #: ckanext/ozwillo_theme/templates/footer.html:24
 #: ckanext/ozwillo_theme/templates/header.html:50
 msgid "Co-construct"
 msgstr "Costruire collaborativamente"
 
+#: ckanext/ozwillo_theme/templates/footer.html:25
+msgid "/en/oz/let-s-go"
+msgstr "/it/iniziare"
+
 #: ckanext/ozwillo_theme/templates/footer.html:25
 #: ckanext/ozwillo_theme/templates/header.html:51
 msgid "Let's go"
 msgstr "Iniziare"
 
+#: ckanext/ozwillo_theme/templates/footer.html:30
+msgid "/en/contact"
+msgstr "/it/contatti"
+
 #: ckanext/ozwillo_theme/templates/footer.html:30
 msgid "Contact"
 msgstr "Contatti"
 
+#: ckanext/ozwillo_theme/templates/footer.html:31
+msgid "/en/l-equipe-projet-oasis"
+msgstr "/it/il-team-di-progetto"
+
 #: ckanext/ozwillo_theme/templates/footer.html:31
 msgid "Project team"
 msgstr "Il team di progetto"
 
+#: ckanext/ozwillo_theme/templates/footer.html:32
+msgid "/en/oz/projects"
+msgstr "https://www.oasis-eu.org/en/oz/projects"
+
 #: ckanext/ozwillo_theme/templates/footer.html:32
 #: ckanext/ozwillo_theme/templates/header.html:52
 msgid "Projects"
 msgstr "Progetti"
 
+#: ckanext/ozwillo_theme/templates/footer.html:37
+msgid "/en/guide-utilisateur"
+msgstr "/it/manuale-utente"
+
 #: ckanext/ozwillo_theme/templates/footer.html:37
 msgid "User guide"
 msgstr "Manuale utente"
 
+#: ckanext/ozwillo_theme/templates/footer.html:38
+msgid "/en/terms"
+msgstr "/it/termini"
+
 #: ckanext/ozwillo_theme/templates/footer.html:38
 msgid "General terms of use"
 msgstr "Termini di utilizzo"
 
+#: ckanext/ozwillo_theme/templates/footer.html:39
+msgid "/en/legal-notices"
+msgstr "/it/avvisi-legali"
+
 #: ckanext/ozwillo_theme/templates/footer.html:39
 msgid "Legal Notices"
 msgstr "Avvisi legali"
@@ -76,8 +117,8 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/footer.html:58
 msgid ""
-"OASIS is a project cofunded by the EU under the Program for Competitiveness "
-"and Innovation CIP ICT PSP- N°297210"
+"OASIS is a project cofunded by the EU under the Program for "
+"Competitiveness and Innovation CIP ICT PSP- N°297210"
 msgstr ""
 
 #: ckanext/ozwillo_theme/templates/header.html:23
@@ -119,3 +160,4 @@ msgstr ""
 #: ckanext/ozwillo_theme/templates/header.html:48
 msgid "Discovering the Platform"
 msgstr ""
+
diff --git a/i18n/tr/LC_MESSAGES/ckanext.po b/i18n/tr/LC_MESSAGES/ckanext.po
index eecf6aa..82ba08e 100644
--- a/i18n/tr/LC_MESSAGES/ckanext.po
+++ b/i18n/tr/LC_MESSAGES/ckanext.po
@@ -3,19 +3,19 @@
 # This file is distributed under the same license as the
 # ckanext-ozwillo-theme project.
 # FIRST AUTHOR <EMAIL@ADDRESS>, 2015.
-# 
+#
 msgid ""
 msgstr ""
 "Project-Id-Version: ckanext-ozwillo-theme 0.0.1\n"
 "Report-Msgid-Bugs-To: EMAIL@ADDRESS\n"
-"POT-Creation-Date: 2015-02-03 14:31+0100\n"
+"POT-Creation-Date: 2015-02-03 16:38+0100\n"
 "PO-Revision-Date: 2015-02-03 14:30+0100\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: tr <LL@li.org>\n"
+"Plural-Forms: nplurals=1; plural=0\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=utf-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"Plural-Forms: nplurals=1; plural=0\n"
 "Generated-By: Babel 0.9.6\n"
 
 #: ckanext/ozwillo_theme/templates/footer.html:14
@@ -26,46 +26,87 @@ msgstr ""
 msgid "for a common good of data"
 msgstr ""
 
+#: ckanext/ozwillo_theme/templates/footer.html:22
+msgid "/en/oz/discover"
+msgstr "/tr/oz"
+
 #: ckanext/ozwillo_theme/templates/footer.html:22
 msgid "Discovering"
 msgstr "Eşfetmek"
 
+#: ckanext/ozwillo_theme/templates/footer.html:23
+msgid "/en/oz/news"
+msgstr "/tr/?Itemid=221"
+
 #: ckanext/ozwillo_theme/templates/footer.html:23
 #: ckanext/ozwillo_theme/templates/header.html:49
 msgid "News"
 msgstr "Haberler"
 
+#: ckanext/ozwillo_theme/templates/footer.html:24
+#: ckanext/ozwillo_theme/templates/footer.html:40
+msgid "/en/oz/co-construct"
+msgstr "#"
+
 #: ckanext/ozwillo_theme/templates/footer.html:24
 #: ckanext/ozwillo_theme/templates/header.html:50
 msgid "Co-construct"
 msgstr "Birlikte inşa etmek"
 
+#: ckanext/ozwillo_theme/templates/footer.html:25
+msgid "/en/oz/let-s-go"
+msgstr "/tr/oz/baslatmak"
+
 #: ckanext/ozwillo_theme/templates/footer.html:25
 #: ckanext/ozwillo_theme/templates/header.html:51
 msgid "Let's go"
 msgstr "Başlatmak"
 
+#: ckanext/ozwillo_theme/templates/footer.html:30
+msgid "/en/contact"
+msgstr "/tr/iletism"
+
 #: ckanext/ozwillo_theme/templates/footer.html:30
 msgid "Contact"
 msgstr "İletişm"
 
+#: ckanext/ozwillo_theme/templates/footer.html:31
+msgid "/en/l-equipe-projet-oasis"
+msgstr "/tr/proje-ekibi"
+
 #: ckanext/ozwillo_theme/templates/footer.html:31
 msgid "Project team"
 msgstr "Proje Ekibi"
 
+#: ckanext/ozwillo_theme/templates/footer.html:32
+msgid "/en/oz/projects"
+msgstr "/tr/?Itemid=224"
+
 #: ckanext/ozwillo_theme/templates/footer.html:32
 #: ckanext/ozwillo_theme/templates/header.html:52
 msgid "Projects"
 msgstr "Projeler"
 
+#: ckanext/ozwillo_theme/templates/footer.html:37
+msgid "/en/guide-utilisateur"
+msgstr "/tr/kulanici-kilavuzu"
+
 #: ckanext/ozwillo_theme/templates/footer.html:37
 msgid "User guide"
 msgstr "Kulanıcı Kılavuzu"
 
+#: ckanext/ozwillo_theme/templates/footer.html:38
+msgid "/en/terms"
+msgstr "/tr/sartlari"
+
 #: ckanext/ozwillo_theme/templates/footer.html:38
 msgid "General terms of use"
 msgstr "Kullanım Şartları"
 
+#: ckanext/ozwillo_theme/templates/footer.html:39
+msgid "/en/legal-notices"
+msgstr "/tr/yasal-uyarilar"
+
 #: ckanext/ozwillo_theme/templates/footer.html:39
 msgid "Legal Notices"
 msgstr "Yasal Uyarılar"
@@ -76,8 +117,8 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/footer.html:58
 msgid ""
-"OASIS is a project cofunded by the EU under the Program for Competitiveness "
-"and Innovation CIP ICT PSP- N°297210"
+"OASIS is a project cofunded by the EU under the Program for "
+"Competitiveness and Innovation CIP ICT PSP- N°297210"
 msgstr ""
 
 #: ckanext/ozwillo_theme/templates/header.html:23
@@ -119,3 +160,4 @@ msgstr ""
 #: ckanext/ozwillo_theme/templates/header.html:48
 msgid "Discovering the Platform"
 msgstr ""
+
diff --git a/update-translations-from-menusets.py b/update-translations-from-menusets.py
index afeef5e..183cae3 100755
--- a/update-translations-from-menusets.py
+++ b/update-translations-from-menusets.py
@@ -32,6 +32,8 @@ for lang in os.listdir('i18n'):
         if entry.msgid in catalog:
             if entry.msgstr != catalog.get(entry.msgid):
                 entry.msgstr = catalog.get(entry.msgid)
+                if 'fuzzy' in entry.flags:
+                    entry.flags.remove('fuzzy')
                 changed = True
     if changed:
         pofile.save(path)